[CalendarServer-changes] [12440] CalendarServer/trunk

source_changes at macosforge.org source_changes at macosforge.org
Wed Mar 12 11:23:44 PDT 2014


Revision: 12440
          http://trac.calendarserver.org//changeset/12440
Author:   wsanchez at apple.com
Date:     2014-01-23 17:47:53 -0800 (Thu, 23 Jan 2014)
Log Message:
-----------
More to bin/

Added Paths:
-----------
    CalendarServer/trunk/bin/benchmark
    CalendarServer/trunk/bin/benchreport
    CalendarServer/trunk/bin/sim
    CalendarServer/trunk/bin/testserver

Removed Paths:
-------------
    CalendarServer/trunk/benchmark
    CalendarServer/trunk/benchreport
    CalendarServer/trunk/sim

Deleted: CalendarServer/trunk/benchmark
===================================================================
--- CalendarServer/trunk/benchmark	2014-01-24 01:46:22 UTC (rev 12439)
+++ CalendarServer/trunk/benchmark	2014-01-24 01:47:53 UTC (rev 12440)
@@ -1,26 +0,0 @@
-#!/bin/sh
-
-##
-# Copyright (c) 2005-2014 Apple Inc. All rights reserved.
-#
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at
-#
-#     http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-##
-
-set -e;
-set -u;
-
-wd="$(cd "$(dirname "$0")" && pwd -L)";
-
-export PYTHONPATH="$("${wd}/run" -p)";
-
-exec "${wd}/contrib/performance/benchmark" "$@";

Deleted: CalendarServer/trunk/benchreport
===================================================================
--- CalendarServer/trunk/benchreport	2014-01-24 01:46:22 UTC (rev 12439)
+++ CalendarServer/trunk/benchreport	2014-01-24 01:47:53 UTC (rev 12440)
@@ -1,35 +0,0 @@
-#!/bin/sh
-
-##
-# Copyright (c) 2005-2014 Apple Inc. All rights reserved.
-#
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at
-#
-#     http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-##
-
-set -e;
-set -u;
-
-wd="$(cd "$(dirname "$0")" && pwd -L)";
-
-export PYTHONPATH="$("${wd}/run" -p):${wd}/../CalDAVClientLibrary/src";
-
-args="$@"
-
-echo "Parameter: 1";
-"${wd}/contrib/performance/report" ${args} 1 HTTP summarize;
-echo;
-echo "Parameter: 9";
-"${wd}/contrib/performance/report" ${args} 9 HTTP summarize;
-echo;
-echo "Parameter: 81";
-"${wd}/contrib/performance/report" ${args} 81 HTTP summarize;

Copied: CalendarServer/trunk/bin/benchmark (from rev 12437, CalendarServer/trunk/benchmark)
===================================================================
--- CalendarServer/trunk/bin/benchmark	                        (rev 0)
+++ CalendarServer/trunk/bin/benchmark	2014-01-24 01:47:53 UTC (rev 12440)
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+##
+# Copyright (c) 2005-2014 Apple Inc. All rights reserved.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+##
+
+set -e;
+set -u;
+
+wd="$(cd "$(dirname "$0")" && pwd -L)";
+
+export PYTHONPATH="$("${wd}/run" -p)";
+
+exec "${wd}/contrib/performance/benchmark" "$@";

Copied: CalendarServer/trunk/bin/benchreport (from rev 12437, CalendarServer/trunk/benchreport)
===================================================================
--- CalendarServer/trunk/bin/benchreport	                        (rev 0)
+++ CalendarServer/trunk/bin/benchreport	2014-01-24 01:47:53 UTC (rev 12440)
@@ -0,0 +1,35 @@
+#!/bin/sh
+
+##
+# Copyright (c) 2005-2014 Apple Inc. All rights reserved.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+##
+
+set -e;
+set -u;
+
+wd="$(cd "$(dirname "$0")" && pwd -L)";
+
+export PYTHONPATH="$("${wd}/run" -p):${wd}/../CalDAVClientLibrary/src";
+
+args="$@"
+
+echo "Parameter: 1";
+"${wd}/contrib/performance/report" ${args} 1 HTTP summarize;
+echo;
+echo "Parameter: 9";
+"${wd}/contrib/performance/report" ${args} 9 HTTP summarize;
+echo;
+echo "Parameter: 81";
+"${wd}/contrib/performance/report" ${args} 81 HTTP summarize;

Copied: CalendarServer/trunk/bin/sim (from rev 12437, CalendarServer/trunk/sim)
===================================================================
--- CalendarServer/trunk/bin/sim	                        (rev 0)
+++ CalendarServer/trunk/bin/sim	2014-01-24 01:47:53 UTC (rev 12440)
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+##
+# Copyright (c) 2005-2014 Apple Inc. All rights reserved.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+##
+
+set -e;
+set -u;
+
+wd="$(cd "$(dirname "$0")" && pwd -L)";
+
+source "${wd}/support/shell.sh";
+
+export PYTHONPATH="$("${wd}/run" -p)";
+
+exec "${wd}/contrib/performance/sim" "$@";

Copied: CalendarServer/trunk/bin/testserver (from rev 12437, CalendarServer/trunk/testserver)
===================================================================
--- CalendarServer/trunk/bin/testserver	                        (rev 0)
+++ CalendarServer/trunk/bin/testserver	2014-01-24 01:47:53 UTC (rev 12440)
@@ -0,0 +1,81 @@
+#!/usr/bin/env bash
+
+##
+# Copyright (c) 2005-2014 Apple Inc. All rights reserved.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+##
+
+wd="$(cd "$(dirname "$0")" && pwd)";
+cdt="${wd}/../CalDAVTester";
+
+##
+# Command line handling
+##
+
+verbose="";
+serverinfo="${cdt}/scripts/server/serverinfo.xml";
+printres="";
+subdir="";
+random="--random";
+seed="";
+ssl="";
+
+usage ()
+{
+  program="$(basename "$0")";
+  echo "Usage: ${program} [-v] [-s serverinfo]";
+  echo "Options:";
+  echo "        -d  Set the script subdirectory";
+  echo "        -h  Print this help and exit";
+  echo "        -o  Execute tests in order";
+  echo "        -r  Print request and response";
+  echo "        -s  Set the serverinfo.xml";
+  echo "        -t  Set the CalDAVTester directory";
+  echo "        -x  Random seed to use.";
+  echo "        -v  Verbose.";
+  echo "        -z  Use SSL.";
+
+  if [ "${1-}" == "-" ]; then return 0; fi;
+  exit 64;
+}
+
+while getopts 'hvrozt:s:d:x:' option; do
+  case "$option" in 
+    '?') usage; ;;
+    'h') usage -; exit 0; ;;
+    't') cdt="${OPTARG}"; serverinfo="${OPTARG}/scripts/server/serverinfo.xml"; ;;
+    'd') subdir="--subdir=${OPTARG}"; ;;
+    's') serverinfo="${OPTARG}"; ;;
+    'r') printres="--always-print-request --always-print-response"; ;;
+    'v') verbose="v"; ;;
+    'o') random=""; ;;
+    'x') seed="--random-seed ${OPTARG}"; ;;
+    'z') ssl="--ssl"; ;;
+  esac;
+done;
+
+shift $((${OPTIND} - 1));
+
+if [ $# == 0 ]; then
+  set - "--all";
+fi;
+
+##
+# Do The Right Thing
+##
+
+source "${wd}/support/shell.sh";
+
+cd "${cdt}" && "${python}" testcaldav.py ${random} ${seed} ${ssl} --print-details-onfail ${printres} -s "${serverinfo}" ${subdir} "$@";
+

Deleted: CalendarServer/trunk/sim
===================================================================
--- CalendarServer/trunk/sim	2014-01-24 01:46:22 UTC (rev 12439)
+++ CalendarServer/trunk/sim	2014-01-24 01:47:53 UTC (rev 12440)
@@ -1,28 +0,0 @@
-#!/bin/sh
-
-##
-# Copyright (c) 2005-2014 Apple Inc. All rights reserved.
-#
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at
-#
-#     http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-##
-
-set -e;
-set -u;
-
-wd="$(cd "$(dirname "$0")" && pwd -L)";
-
-source "${wd}/support/shell.sh";
-
-export PYTHONPATH="$("${wd}/run" -p)";
-
-exec "${wd}/contrib/performance/sim" "$@";
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.macosforge.org/pipermail/calendarserver-changes/attachments/20140312/70c0048e/attachment.html>


More information about the calendarserver-changes mailing list